#
# spec file for package RobboLito0085 (Version 0085g3l)
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           RobboLito0085
Version:        0085g3l
Release:        1.5
License:        GPL v3
Group:          Amusements/Games/Board/Chess
URL:            http://www.chesslogik.com/robbolito.htm
Source:         RobboLito_%{version}.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	%{name}.ini
Source100:	%{name}.changes
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
RobboLito is a very strong open-source UCI chess engine by:
Yakov Petrovich Golyadkin, Igor Igorovich Igoronov, and Roberto Pescatore

RobboLito is a UCI 'console' application, meaning that it has no GUI (graphical user interface).
There are several free programs that provide a GUI, along with a rich set of user-friendly features. 

Some of the most popular free GUIs are: 
winboard, chess-gui, arena (Windows) and xboard (Linux/Unix)

As RobboLito uses UCI (universal chess interface, UCI) you will need a uci-compliant user interface to play against RobboLito.
You can also use polyglot as an "UCI to xboard"-adapter to use RobboLito with xboard-compatible programs.

note:
RobboLito does not yet support: multiPV, own book, egbbs, tablebases, multiple CPUs/cores, or chess variants



%prep
%setup -q -n RobboLito_%{version}
dos2unix *.txt README

%build
pushd src/
%ifarch x86_64 
%{__make} x86_64-gcc
%else
%{__make} x86-gcc
%endif
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 src/robbolito0085g3l-* $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 *.png $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc *.txt  README
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu Jan 21 2010 axel@links2linux.de - 0085g3l
- initial build for openSUSE, version 0085g3l
